extends Spatial

var cubes=0

var cubei=load("res://cube.tscn")
func _ready():
	get_node("DirectionalLight").directional_shadow_max_distance=400.0
	get_node("DirectionalLight2").directional_shadow_max_distance=400.0

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	get_node("Label").text=str(cubes)

var emitdelay=0.05

var life=0.0
var camchange=2.0
var rota=Vector3(0,0,0)
var fova=0.0
func _physics_process(delta):
	life+=delta
	
	if camchange>0.0: camchange-=delta
	else:
		camchange=2.0+randf()
		get_node("camrot").rotation=Vector3(randf()-0.5,randf()-0.5,0)
		get_node("camrot/shakespot/Camera").fov=50+randf()*60.0
		rota=Vector3(randf()-0.5,randf()-0.5,randf()-0.5)
		fova=randf()-0.5
	
	get_node("DirectionalLight").rotate_y(delta*0.6)
	get_node("DirectionalLight2").rotate_y(delta*2.1)
	get_node("DirectionalLight").shadow_enabled=get_node("CheckBox").pressed
	get_node("DirectionalLight2").shadow_enabled=get_node("CheckBox").pressed
	get_node("OmniLight").shadow_enabled=get_node("CheckBox").pressed
	get_node("SpotLight").shadow_enabled=get_node("CheckBox").pressed
	
	get_node("camrot/shakespot/Camera").rotation=Vector3(0.04*sin(life*2.3),0.02*sin(life*4.3),0.03*sin(life*1.7))+rota*(camchange-0.5)
	get_node("camrot/shakespot/Camera").translation=Vector3(0.4*sin(life*1.5),1.6*sin(life*1.3),0.3*sin(life*0.7))
	get_node("camrot/shakespot/Camera").fov+=fova*delta*20.0
	
	
	
	if emitdelay>0.0: emitdelay-=delta
	else:
		emitdelay=0.005
		newcube()
		newcube()


func _on_Button_button_down():
	for _i in range(0,251):
		newcube()

func newcube():
	var ins=cubei.instance()
	ins.translation=Vector3(0,37,0)+Vector3(randf()-0.5,randf()-0.5,randf()-0.5)*14.0
	add_child(ins)

var matee=load("res://mate.tres")


func _on_Button2_button_down():
	var _vl=get_tree().change_scene_to(load("res://main.tscn"))
